### Method

# EBackend Cache get_key_int

since: 3.26

#### Declaration [src]

    gint
    e_cache_get_key_int (
      ECache* cache,
      const gchar* key,
      GError** error
    )

#### Description [src]

Reads the user `key` value as an integer.

Available since: 3.26

#### Parameters

`key`

  Type: `const gchar*`

  A key name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The user `key` value or -1 on error.